apiVersion: v1
kind: Pod
metadata:
  labels:
    app: rook-ceph-osd-prepare
    batch.kubernetes.io/job-name: rook-ceph-osd-prepare-rpi4-6
    job-name: rook-ceph-osd-prepare-rpi4-6
    rook_cluster: think-ns
  name: rook-ceph-osd-prepare-rpi4-6-8mlkk
  namespace: think-ns
  ownerReferences:
  - apiVersion: batch/v1
    uid: 
    blockOwnerDeletion: true
    controller: true
    kind: Job
    name: rook-ceph-osd-prepare-rpi4-6
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: all
            operator: In
            values:
            - all
  containers:
  - args:
    - ceph
    - osd
    - provision
    command:
    - /rook/rook
    env:
    - name: ROOK_NODE_NAME
      value: rpi4-6
    - name: ROOK_CLUSTER_ID
      value: 630b4c7c-bd8e-4285-b768-63b7a7d3d498
    - name: ROOK_CLUSTER_NAME
      value: think-ns
    - name: ROOK_PRIVATE_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    - name: ROOK_PUBLIC_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    - name: POD_NAMESPACE
      value: think-ns
    - name: ROOK_MON_ENDPOINTS
      valueFrom:
        configMapKeyRef:
          key: data
          name: rook-ceph-mon-endpoints
    - name: ROOK_CONFIG_DIR
      value: /var/lib/rook
    - name: ROOK_CEPH_CONFIG_OVERRIDE
      value: /etc/rook/config/override.conf
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: ROOK_CRUSHMAP_ROOT
      value: default
    - name: ROOK_CEPH_USERNAME
      valueFrom:
        secretKeyRef:
          key: ceph-username
          name: rook-ceph-mon
    - name: ROOK_FSID
      valueFrom:
        secretKeyRef:
          key: fsid
          name: rook-ceph-mon
    - name: ROOK_OSD_STORE_TYPE
      value: bluestore
    - name: ROOK_CRUSHMAP_HOSTNAME
      value: rpi4-6
    - name: CEPH_VOLUME_DEBUG
      value: "1"
    - name: CEPH_VOLUME_SKIP_RESTORECON
      value: "1"
    - name: DM_DISABLE_UDEV
      value: "1"
    - name: ROOK_OSDS_PER_DEVICE
      value: "1"
    - name: ROOK_LOG_LEVEL
      value: DEBUG
    - name: ROOK_DATA_DEVICE_FILTER
      value: all
    - name: ROOK_CEPH_VERSION
      value: ceph version 17.2.6-0 quincy
    - name: ROOK_OSD_CRUSH_DEVICE_CLASS
    - name: ROOK_OSD_CRUSH_INITIAL_WEIGHT
    envFrom:
    - configMapRef:
        name: rook-ceph-osd-env-override
        optional: true
    image: quay.io/ceph/ceph:v17.2.6
    imagePullPolicy: IfNotPresent
    name: provision
    resources:
      requests:
        cpu: 500m
        memory: 50Mi
    securityContext:
      privileged: true
      readOnlyRootFilesystem: false
      runAsNonRoot: false
      runAsUser: 0
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/lib/rook
      name: rook-data
    - mountPath: /etc/ceph
      name: ceph-conf-emptydir
    - mountPath: /run/ceph
      name: ceph-daemons-sock-dir
    - mountPath: /var/log/ceph
      name: rook-ceph-log
    - mountPath: /var/lib/ceph/crash
      name: rook-ceph-crash
    - mountPath: /dev
      name: devices
    - mountPath: /run/udev
      name: udev
    - mountPath: /rook
      name: rook-binaries
    - mountPath: /var/lib/rook-ceph-mon
      name: ceph-admin-secret
      readOnly: true
    - mountPath: /rootfs
      name: rootfs
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-p4vjk
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  initContainers:
  - args:
    - --archive
    - --force
    - --verbose
    - /usr/local/bin/rook
    - /rook
    command:
    - cp
    image: rook/ceph:master
    imagePullPolicy: IfNotPresent
    name: copy-bins
    resources:
      requests:
        cpu: 500m
        memory: 50Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /rook
      name: rook-binaries
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-p4vjk
      readOnly: true
  nodeName: rpi4-6
  nodeSelector:
    kubernetes.io/hostname: rpi4-6
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: OnFailure
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: rook-ceph-osd
  serviceAccountName: rook-ceph-osd
  terminationGracePeriodSeconds: 30
  tolerations:
  - key: all
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - hostPath:
      path: /var/lib/rook
      type: ""
    name: rook-data
  - emptyDir: {}
    name: ceph-conf-emptydir
  - hostPath:
      path: /var/lib/rook/exporter
      type: DirectoryOrCreate
    name: ceph-daemons-sock-dir
  - hostPath:
      path: /var/lib/rook/think-ns/log
      type: ""
    name: rook-ceph-log
  - hostPath:
      path: /var/lib/rook/think-ns/crash
      type: ""
    name: rook-ceph-crash
  - emptyDir: {}
    name: rook-binaries
  - hostPath:
      path: /run/udev
      type: ""
    name: udev
  - hostPath:
      path: /dev
      type: ""
    name: devices
  - name: ceph-admin-secret
    secret:
      defaultMode: 420
      items:
      - key: ceph-secret
        path: secret.keyring
      secretName: rook-ceph-mon
  - hostPath:
      path: /
      type: ""
    name: rootfs
  - name: kube-api-access-p4vjk
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
